
/**
 *	S3C (Simple Server-side Cache)
 *	Server-side Object Caching Framework 
 *
 *	Copyright (C) 2005  Kamran Zafar
 *
 *	This program is free software; you can redistribute it and/or
 *	modify it under the terms of the GNU General Public License
 *	as published by the Free Software Foundation; either version 2
 *	of the License, or (at your option) any later version.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 *	Contact Info:
 *	Email: xeus.man@gmail.com
 */

package xeus.s3c.service.jboss;

import org.jboss.system.ServiceMBeanSupport;

import xeus.s3c.Cache;
import xeus.s3c.CacheManager;
import xeus.s3c.exception.CacheException;

/**
 * @author Kamran Zafar
 *  
 */
public class CacheService extends ServiceMBeanSupport implements
        CacheServiceMBean {

    private String configURL;
    private String path;
    private Cache cache;
    
    public void startService() throws Exception
    {
        try {
            cache=CacheManager.loadCache(configURL);
        } catch (CacheException e) {
            e.printStackTrace();
        }
    }
    
    public void stopService() throws Exception
    {
        try {
            CacheManager.unload(cache);
        } catch (CacheException e) {
            e.printStackTrace();
        }        
    }

    public void setConfigURL(String configURL) {
        this.configURL=configURL;
    }

    public String getConfigURL() {
        return configURL;
    }
}